package org.eclipse.scout.samples.minicrm.server.services.common.sql;

import org.eclipse.scout.rt.services.common.jdbc.AbstractDerbySqlService;
import org.eclipse.scout.service.IService;

public class DerbySqlService extends AbstractDerbySqlService implements IService {
  @Override
  protected String getConfiguredUsername() {
    return "minicrm";
  }

  @Override
  protected long getConfiguredJdbcPoolConnectionBusyTimeout() {
    return 2000L;
  }

  @Override
  protected String getConfiguredPassword() {
    return "minicrm";
  }

  @Override
  protected String getConfiguredJdbcMappingName() {
    return "jdbc:derby:C:\\DerbyDb";
  }
}
