package org.eclipse.scout.samples.minicrm.client.ui.desktop.outlines;

import java.util.Collection;

import org.eclipse.scout.commons.exception.ProcessingException;
import org.eclipse.scout.rt.client.ui.desktop.outline.AbstractOutline;
import org.eclipse.scout.rt.client.ui.desktop.outline.pages.IPage;
import org.eclipse.scout.samples.minicrm.client.ui.desktop.outlines.pages.PersonTablePage;
import org.eclipse.scout.samples.minicrm.shared.Texts;

public class StandardOutline extends AbstractOutline {

  @Override
  public String getConfiguredTitle() {
    return Texts.get("Outline");
  }

  @Override
  public void execCreateChildPages(Collection<IPage> pageList) throws ProcessingException {
    PersonTablePage personTablePage = new PersonTablePage();
    pageList.add(personTablePage);
  }
}
