package org.eclipse.scout.samples.minicrm.server.services.lookup;

import org.eclipse.scout.rt.server.services.lookup.AbstractSqlLookupService;
import org.eclipse.scout.samples.minicrm.shared.services.lookup.ICompanyLookupService;

public class CompanyLookupService extends AbstractSqlLookupService implements ICompanyLookupService {
  @Override
  protected String getConfiguredSqlSelect() {
    return
    "SELECT COMPANY_NR, SHORT_NAME ||' ('||NAME||')' " +
        "FROM   COMPANY " +
        "WHERE  1=1 " +
        "<key>AND COMPANY_NR = :key</key>";
  }
}
